@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  background-color: $color-bg;
}

.container {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  width: 200px;
  height: 200px;
  margin: 50px 100px;
  outline: 1px solid rgba($color-white, .1);
  outline-offset: 20px;

  &-1 {
    .box {
      &:nth-child(2) {
        animation-delay: .25s;
      }

      &:nth-child(3) {
        animation-delay: .5s;
      }

      &:nth-child(4) {
        animation-delay: .75s;
      }
    }
  }

  &-2 {
    .box {
      &:nth-child(1) {
        animation-delay: .75s;
      }

      &:nth-child(2) {
        animation-delay: .5s;
      }

      &:nth-child(3) {
        animation-delay: .25s;
      }
    }
  }

  &-3 {
    .box {
      &:nth-child(2),
      &:nth-child(3) {
        animation-direction: alternate-reverse;
      }
    }
  }
}

.box {
  width: 30px;
  height: 20px;
  border-radius: 8px;
  animation: box 1s ease-in-out 0s infinite alternate forwards;

  &:nth-child(1) {
    background-color: $color-1;
  }

  &:nth-child(2) {
    background-color: $color-2;
  }

  &:nth-child(3) {
    background-color: $color-3;
  }

  &:nth-child(4) {
    background-color: $color-4;
  }
}

@keyframes box {
  from {
    height: 20px;
  }

  to {
    height: 120px;
  }
}
